﻿
@model IEnumerable<MVCDisk.Models.Disk>



@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<h2>Liste des disques</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>

<form asp-controller="Disk" asp-action="Index" method="get">
    <p>
        Title: <input type="text" name="SearchString">
        <input type="submit" value="Filter" />
    </p>
</form>

        <table class="table">
            <thead>
                <tr>
                    @*<th>
                            @Html.DisplayNameFor(model => model.Id)
                        </th>*@
                    <th>
                        @Html.DisplayNameFor(model => model.Title)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Interprete)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ReleaseDate)
                    </th>

                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        @*<td>
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>*@
                        <td>
                            @Html.DisplayFor(modelItem => item.Title)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Interprete)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ReleaseDate)
                        </td>
                        <td>
                            @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                        </td>
                    </tr>
                }
            </tbody>
        </table>
